<div class="container-lg">
  <div class="client-dashboard__grid u-outlined">
    <div class="client-dashboard__card">
      <div class="client-dashboard__header">
        <span>PORTFOLIO</span>
        <button class="btn-auto" (click)="onCreatePortfolio()">
          CREATE NEW
        </button>
      </div>
      <div class="client-dashboard__links">
        <ul>
          <li
            *ngFor="let p of userPortfolios$ | async"
            [ngClass]="
              currentPortfolio$.value.portfolioId == p.portfolioId
                ? 'active'
                : ''
            "
            (click)="onSelectPortfolio(p)"
          >
            {{ p.portfolioName }}
            <button
              *ngIf="!p.isDefault"
              (click)="
                onDeletePortfolio(p.portfolioId); $event.stopPropagation()
              "
              class="btn-auto u-danger"
            >
              Close
            </button>
          </li>
        </ul>
      </div>
    </div>
    <div class="client-dashboard__stats">
      <div>
        <div class="client-dashboard__header">OVERVIEW</div>
        <div class="client-dashboard__container">
          <div class="client-dashboard__card">
            <strong>PORTFOLIO VALUE</strong>
            <h1>
              ${{
                (currentPortfolio$ | async)
                  ? currentPortfolio$.value.amount.toFixed(2)
                  : 0.0
              }}
            </h1>

            <strong>TOTAL PROFIT/LOSS</strong>
            <h2>
              $10.52(1.42%)
              <mat-icon>arrow_downward</mat-icon>
            </h2>
          </div>
        </div>
      </div>

      <div>
        <div class="client-dashboard__header">PERFORMANCE HISTORY</div>
        <div class="client-dashboard__container">
          <div class="client-dashboard__card"></div>
        </div>
      </div>
    </div>
  </div>

  <div class="client-dashboard__holdings u-outlined">
    <app-holdings></app-holdings>
  </div>
</div>
